Bug 32794 - Не работает BONDOPTIONS="primary=eth0" если BONDMODE=1, но работает если BONDMODE=active-backup
Summary: Не работает BONDOPTIONS="primary=eth0" если BONDMODE=1, но работает если BOND...
Status: CLOSED FIXED
Alias: None
Product: Sisyphus
Classification: Development
Component: etcnet (show other bugs)
Version: unstable
Hardware: all Linux
: P3 normal
Assignee: Mikhail Efremov
QA Contact: qa-sisyphus
URL: http://git.altlinux.org/people/snejok...
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-23 18:46 MSK by Lenar Shakirov
Modified: 2016-12-07 16:54 MSK (History)
7 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lenar Shakirov 2016-11-23 18:46:50 MSK
Не работает BONDOPTIONS="primary=eth0" если BONDMODE=1, но работает если BONDMODE=active-backup

Патч простой:
http://git.altlinux.org/people/snejok/packages/etcnet.git?p=etcnet.git;a=commitdiff;h=5029953e0d33abce678effb5432df3752fbd3ffa

--- a/etc/net/scripts/setup-bond
+++ b/etc/net/scripts/setup-bond
@@ -11,7 +11,7 @@ for host in $HOST; do
        $IP link set dev $host down
        printf '%s%s' + $host > /sys/class/net/$NAME/bonding/slaves && print_progress
        # primary iface for active-backup cannot be set until enslaved
-       [ "${BONDMODE:-$DEFAULT_BONDMODE}" = "active-backup" ] || continue
+       [ "${BONDMODE:-$DEFAULT_BONDMODE}" = "active-backup" -o "${BONDMODE:-$DEFAULT_BONDMODE}" = "1" ] || continue
        echo "$BONDOPTIONS" | fgrep -qw "primary=$host" || continue
        printf '%s' $host > /sys/class/net/$NAME/bonding/primary
 done
Comment 1 Sergey Bolshakov 2016-11-24 17:51:58 MSK
мне не хочется чинить этот (bonding) код -- его давно пора переписать на ip link.
Возьмётесь ?
Comment 2 Lenar Shakirov 2016-11-29 11:13:27 MSK
Боюсь что не потяну.

Эта бага - быстрофикс, потому сразу patch и приложил.
Хуже не станет, но лучше станет точно.
Comment 3 Sergey Bolshakov 2016-12-02 17:41:23 MSK
В #173883 собирается  etcnet-0.9.10-alt19, test-only.
Было бы хорошо проверить (ОСТОРОЖНО!) до попадания в сизиф.
Comment 4 Lenar Shakirov 2016-12-02 22:13:11 MSK
Проверил, работает, Спасибо!!
Comment 5 Lenar Shakirov 2016-12-02 22:15:10 MSK
Надеялся что https://bugzilla.altlinux.org/32288 починится вместе с этой багой, но видимо там логику нужно переделывать
Comment 6 Anton Farygin 2016-12-02 22:49:49 MSK
dhcp на бонде конечно нужно поднимать после того, как поднят интерфейс.
Comment 7 Sergey Bolshakov 2016-12-07 16:54:58 MSK
fixed in etcnet-0.9.10-alt19